%Totally sick code! awsm
clear
NY=input('Number of nodes NY in y-direction: ');
NX=input('Number of nodes NX in x-direction: ');
AR=NX/NY;
sections=NY-1;
h=1/sections; %Grid spacing
u_L=h; %Lattice speed
Re=10; %Reynolds number
nu_L=u_L*sections/Re; %Lattice viscosity
tau=3*nu_L + 0.5; %Relaxation time scale
omega=1/tau; %Relaxation frequency

% Global variables
global t;global cx;global cy;global q;
[t,cx,cy,q]=d2q9();

umax=1;
[ux_ana,uy_ana,uxdot_ana,rho_ana,p_ana]=ana_comp(NY,NX,umax,sections,u_L,nu_L,Re);
% break
ux_init=zeros(NY,NX);uy_init=zeros(NY,NX);rho_init=ones(NY,NX);
f=f_comp(ux_init,uy_init,NY,NX,rho_init);
[Qxx,Qxy,Qyx,Qyy,Q] =Q_comp();

fout=f;

maxitr=10000;
% BC
uwall=0;
rhoOut=1;

for n=1:maxitr
    
    if mod(n,2000)==0
        disp(num2str(n))
    end
   
    rho=density_comp(f,rho_init);
    [ux,uy,jx]=velocity_comp(f,rho);
    
    %     Update Boundaries
    rho=density_walls_comp(NY,f,rho);
    rho=densityBC_impose(NX,rhoOut,rho);
    rho=density_inlet_comp(NY,ux_ana,f,rho_ana,rho);

    ux=velocity_outlet_comp(NX,f,rhoOut,ux_ana,ux); 
    [ux,uy]=velocityBC_impose(NY,NX,ux_ana,uwall,ux,uy);
    geq=geq_comp(NY,NX,ux,uy);
% break
    Sxy=rate_of_strain_comp(NY,NX,uxdot_ana,ux);
    Qxy_inner_Sxy=QS_comp(Qxy,Sxy); 
%     break
    gneq = gneq_comp(NY,NX,omega,Qxy_inner_Sxy);
%     break
    g=g_comp(geq,gneq);
    rho=density_corners(NY,f,g,rho_ana,rho);
    
    [feq,fneq]=f_rho_g(NY,NX,rho,geq,gneq);
%     break
    f=f_reconstruct(NY,NX,feq,fneq,f);
%     break
    fout=collision(f,feq,omega);
    
    f=streaming(fout,NY,NX,f);
%     break
[uprofile,pressure,error_vel_O1,error_vel_O2,error_pressure] = results(NY,NX,u_L,ux,uy,rho,ux_ana,p_ana);
m(n)=n;
xmom(n)=sum(ux(:,ceil(NX/2)))*sum(rho(:,ceil(NX/2)))*u_L;
%  ####################################################

% figure(1)
% subplot(2,2,[1,3]), plot(uprofile,'k+')
% title('velocity u_x')
% subplot(2,2,2), mesh(pressure)
% colormap([1 0 0])
% axis([1 NX 1 NY 0 1])
% title('pressure')
% subplot(2,2,4), plot(m,xmom,'k.')
% title('x-momentum j_x')
%     
% pause(.1)
end

disp(['Error in velocity (O1) is: ',num2str(error_vel_O1)])
disp(['Error in pressure (O2) is: ',num2str(error_pressure)])



% figure(2)
% mesh(pressure)
% colormap([1 0 0])
% xlim([1 NX])
% ylim([1 NY])
% title(['Pressure field with NX= ',num2str(NX), ' & NY= ',num2str(NY),' nodes'])
% xlabel('Downstream node')
% axis([1 NX 1 NY 0 1])

figure(3)
plot(m,xmom,'k.')
axis([25 n 0.2 1.3])
xlabel('Iteration number')
ylabel('x-momentum')
title(['x-momentum for pressure driven flow with ',num2str(NY),' nodes'])
% 
% 
% disp(['2-norm of Error in velocity: ',num2str(error_vel_O2)])
% disp(['1-norm of Error in velocity: ',num2str(error_vel_O1)])
% disp(['Error in pressure ',num2str(error_pressure)])








    
    
    
    
    
