function [ux_ana,uy_ana,dudx_ana,dudy_ana,dvdx_ana,dvdy_ana,rho_ana,p_ana] = couette_ana2(NX,NY,x0,y0,R0,beta_r,u0,obst,OBST,u_L)

ux_ana=zeros(NY,NX);
uy_ana=zeros(NY,NX);
p_ana=zeros(NY,NX);

dudx_ana = zeros(NY,NX);
dudy_ana = zeros(NY,NX);
dvdx_ana = zeros(NY,NX);
dvdy_ana = zeros(NY,NX);

wetnodes=1-OBST-obst;
[wet_y,wet_x]=find(wetnodes);
wet=[wet_x,wet_y];
wet_x=wet(:,1);
wet_y=wet(:,2);
betaconst=(beta_r/(1-beta_r^2))^2; %p
C      =  u0*beta_r/(1-beta_r^2);
% ur_ana=zeros(NY,NX);

for i=1:length(wet)
a=wet_x(i);
b=wet_y(i);

x=a-x0;
y=b-y0;
r=sqrt(x^2 + y^2);
A=abs(y/x);
t=atan(A);
% A=      y/x;
% B= abs(A);
% theta =  atan(A);
% thetaB=  atan(B);

ur_ana     =   C*(R0/r - r/R0);
dur_ana_dr =  -C*(R0/r^2 + 1/R0);

ux_ana2(b,a)= -ur_ana*y/r;
uy_ana2(b,a)=  ur_ana*x/r;