function [err_vel_T,err_p_T,err_vel_vec] = error_comp_T(error_velocity,error_pressure,ts,flow_period,err_vel_vec,err_p_vec)

% Compute the error on one period
err_vel_T=0;
err_p_T  =0;
err_vel_vec(ts+1)=error_velocity;
err_p_vec(ts+1)  =error_pressure;


if mod(ts+1,flow_period+1)==0
        
err_vel_T=(1/flow_period)*sum(err_vel_vec(ts+1-flow_period:ts+1))
err_p_T  =(1/flow_period)*sum(err_p_vec(ts+1-flow_period:ts+1))
end
