function [normal] = inter(bound_fluid,x0,y0)
% Function that computes the normal of all the boundary nodes...

for k=1:length(bound_fluid)
normal(k,:) = [bound_fluid(k,1),bound_fluid(k,2)] - [x0,y0];
normal_length(k)=sqrt(normal(k,1)^2 + normal(k,2)^2);
normal(k,:)=normal(k,:)/normal_length(k);
end

