function [uprofile,pressure,error_vel_O1,error_vel_O2,error_pressure] = results(NY,NX,u_L,ux,uy,rho,ux_ana,p_ana)

pressure=(1/3)*(rho(:,:)-ones(NY,NX))/u_L^2;
uprofile=ux(:,ceil(NX/2))/u_L;
vprofile=uy(:,ceil(NX/2))/u_L;

error_vel_O2=((1/NY)*(uprofile-ux_ana(:,ceil(NX/2))/u_L)'*(uprofile-ux_ana(:,ceil(NX/2))/u_L)+vprofile'*vprofile)^0.5;
error_vel_O1=(1/NY)*sum(sqrt((uprofile-ux_ana(:,ceil(NX/2))/u_L).^2+vprofile.^2));
% error_pressure=((1/NY)*(pressure(ceil(NY/2),:)-p_ana(ceil(NY/2),:))*(pressure(ceil(NY/2),:)-p_ana(ceil(NY/2),:))')^0.5;

% error_pressure=((1/NY)*(pressure(1,:)-p_ana(1,:))*(pressure(1,:)-p_ana(1,:))')^0.5;
error_pressure=0;
for i=1:NY %NX or NY or what?
    for j=1:NX
    error_pressure= error_pressure + ((pressure(i,j)-p_ana(i,j))*(pressure(i,j)-p_ana(i,j))); %CHANGES!
    end
end
error_pressure=sqrt(error_pressure/NY/NX);

