function [lms,lms_app,H0]=linkmachine(normal,linkmatrix_short,bound_fluid,H2,cylindertype,n)
% linkmachine computes the link

for i=1:length(bound_fluid)
    
    for m=1:n 

link=H2(m,:,i)-bound_fluid(i,1:2);
link_length=sqrt(link(1)^2 + link(2)^2);
link=link/link_length;
scalarprod=link(1)*normal(i,1) + link(2)*normal(i,2);
% lm(m,:,i) and erase statements below to display lm-matrix
lm=[linkmatrix_short(m,1:2,i),link,normal(i,:),scalarprod,acosd(scalarprod),linkmatrix_short(m,9,i)];
lm_app=linkmatrix_short(m,:,i);

if linkmatrix_short(m,9,i) ~= 0
    
       
    if m==1
        lms(i,:)=lm;
        lms_app(i,:)=lm_app;
            
%     if inner cylinder do:
if strcmp(cylindertype,'inner')
        elseif lms(i,7)<lm(7); %If "old" scalar product 'scalarprod' is smaller than the "new" one ...
            lms(i,:)=lm; %...then the row takes the new value
            lms_app(i,:)=lm_app;
end
%     if outer cylinder do:      
        elseif strcmp(cylindertype,'outer')
        elseif abs(lms(i,7))<abs(lm(7)); %If abs of "old" scalar product 'scalarprod' is smaller than the "new" one ...
            lms(i,:)=lm; %...then the row takes the new value
            lms_app(i,:)=lm_app;
    end

        else
            continue
end
                
    end   

end
        
   
     
H0=lms_app(:,7:8);


      