function [linkmatrix_short,cylinder_x,cylinder_y] = c_intersect_driver(bound_fluid,bound_f_opp,cyl,H1,H2,cylindertype,n)
% uses the function curveintersect.m to find the intersection(s), if any,
% of the line interpolating H0, H1, H2, (the link \vec(b)) the boundary node itself and the cylinder (circle).
% global q


cylinder_x=cyl(:,1);
cylinder_y=cyl(:,2);



for i=1:length(bound_fluid)  
       

for m=1:n;


% while bound_f_opp(m,1,i) ~= 0 
% for m=1:5

%         if bound_f_opp(m,1,i) == 0
%             break
% 
%             
%         else

        line_x=[bound_fluid(i,1),bound_f_opp(m,1,i)]; %the line
        line_y=[bound_fluid(i,2),bound_f_opp(m,2,i)]; %the line
        [X,Y]=curveintersect(line_x,line_y,cylinder_x,cylinder_y); %H0  
        
        
        

% If no H0, set H0 identically equal to zero. NB! Only if 'inner' cylinder
if isempty(Y) ...
        || isempty(X)
    X=zeros(2,1);
    Y=zeros(2,1);
    
end


                 
        if numel(X)==1
            X(2)=X(1);
            Y(2)=Y(1);
            X=[X(1);X(2)];
            Y=[Y(1);Y(2)];
        end


        if strcmp(cylindertype,'inner')
        linkmatrix=[bound_fluid(i,1),bound_fluid(i,2),H1(m,:,i),H2(m,:,i),X(1),Y(1),X(2),Y(2),bound_f_opp(m,3,i)];
%         numel(X)=1 @ (9,8) w/ NX=NY=23. Why?
        if bound_f_opp(m,3,i) == 0
            linkmatrix(3:10)=0;
        end  
        elseif strcmp(cylindertype,'outer')
        linkmatrix=[bound_fluid(i,1),bound_fluid(i,2),H1(m,:,i),H2(m,:,i),X(1),Y(1),0,0,bound_f_opp(m,3,i)];    
        if bound_f_opp(m,3,i) == 0
            linkmatrix(3:10)=0;
        end    
        end
                
%         If there are two HO for one P, compute which one is closest to P
if strcmp(cylindertype,'inner')
a=sqrt((linkmatrix(1)-X(1))^2 + (linkmatrix(2)-Y(1))^2);
b=sqrt((linkmatrix(1)-X(2))^2 + (linkmatrix(2)-Y(2))^2);
elseif strcmp(cylindertype,'outer')
a=sqrt((linkmatrix(1)-X(1))^2 + (linkmatrix(2)-Y(1))^2);
b=a;
end



if a<=b
    linkmatrix_short(m,:,i)=[bound_fluid(i,1),bound_fluid(i,2),H2(m,:,i),H1(m,:,i),X(1),Y(1),bound_f_opp(m,3,i)];
else
    linkmatrix_short(m,:,i)=[bound_fluid(i,1),bound_fluid(i,2),H2(m,:,i),H1(m,:,i),X(2),Y(2),bound_f_opp(m,3,i)];
end

        
        
        

end
end







      
% figure(3)
%         plot(line_x,line_y,'b',cylinder_x,cylinder_y,'k',X,Y,'ro')
%         axis([1 NX 1 NY])
% %         axis equal 
%         grid
%         end
        
